package com.ym.mec.biz.dal.dao;


import com.ym.mec.biz.dal.entity.ClassGroupTeacherSalary;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ClassGroupTeacherSalaryDao extends BaseDAO<Long, ClassGroupTeacherSalary> {

    /**
     * 获取乐团老师课酬配置
     * @param musicGroupId
     * @return
     */
    List<ClassGroupTeacherSalary> findByMusicGroupId(@Param("musicGroupId") int musicGroupId);
}