package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dto.DemoGroupApplyDto;
import com.ym.mec.biz.dal.entity.DemoGroup;
import com.ym.mec.biz.dal.page.StudentDemoGroupQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

public interface DemoGroupService extends BaseService<Long, DemoGroup> {

    /**
     * @Author: Joburgess
     * @Date: 2019/9/25
     * 试听课申请
     */
    void demoGroupApply(DemoGroupApplyDto demoGroupApplyDto);

    /**
     * @Author: Joburgess
     * @Date: 2019/9/25
     * 获取试听课列表
     */
    PageInfo queryStudentDemoGroups(StudentDemoGroupQueryInfo queryInfo);

    /**
     * @Author: Joburgess
     * @Date: 2019/9/25
     * 试听课订阅
     */
    void demoGroupSubscribe(Long demoGroupId);

}