package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dto.CashAccountDetail;
import com.ym.mec.biz.dal.dto.WithdrawDto;
import com.ym.mec.biz.dal.dto.WithdrawInfoDto;
import com.ym.mec.biz.dal.entity.StudentWithdraw;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

public interface StudentWithdrawService extends BaseService<String, StudentWithdraw> {

    /**
     * 确认提现
     * @param withdrawDto
     * @return
     */
    boolean confirmWithdraw(WithdrawDto withdrawDto);

    /**
     * 根据学员id查询提现记录
     * @param cashAccountDetail
     * @return
     */
    PageInfo<WithdrawInfoDto> queryWithdrawPage(CashAccountDetail cashAccountDetail);

}
