package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.DemoGroupCoursesPlan;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface DemoGroupCoursesPlanDao extends BaseDAO<Long, DemoGroupCoursesPlan> {

    /**
     * @Author: Joburgess
     * @Date: 2019/9/25
     * 根据上课时间批量记录临时上课计划
     */
    int batchInsertByDates(@Param("dates") List<Date> dates,
                           @Param("demoGroupId") Long demoGroupId);
	
}