package com.ym.mec.biz.dal.enums;

public enum MessageSendMode {

	// 短信
	SMS(1),
	// 邮件
	EMAIL(2),
	// app推送
	PUSH(3);

	private int index;

	private MessageSendMode(int index) {
		this.index = index;
	}

	public int getIndex() {
		return index;
	}

	public void setIndex(int index) {
		this.index = index;
	}

	public static MessageSendMode getMessageSendMode(int index) {
		for (MessageSendMode mode : values()) {
			if (mode.getIndex() == index) {
				return mode;
			}
		}
		return null;
	}
}
